// Jin Ding  --  pd 3  --  5/28/98
// bluetor.pov

#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"

camera {
  location <-1,14,-22>
  look_at <4,5,19> 
}

light_source {
  <15,20,-10>
  color rgb <1.5,1.5,1.5>
}

light_source {
  <7,2,5>  //inside cone
  color rgb <.4,.4,.4>
}

plane {
  y,0
  texture {
    pigment { marble
      color_map {
        [0.0 color rgbf <.2,0,.6,0.0>]
        [1.0 color rgbf <.1,0,.4,0.0>]
      }
      turbulence 1.5 lambda 1.5 omega .75 octaves 8
    }
    normal {bumps .4 scale .4}
    finish { 
      phong .8
      reflection .2
      ambient .2
      diffuse .8
    }
  }
}

torus {
  5.5, 1.5
  pigment { 
    image_map {
      gif "juliaset.gif"
      map_type 0
      interpolate 2
    }
    scale 7
    translate <1,-3.5,0>
  }
  finish {
    phong .9
    reflection .4
    ambient .4
    diffuse .6
  }
  rotate <20*clock,-sin(clock*3.141592654/3),0>
  translate <7,7+2*sin(clock*3.141592654/3),5>
}

cone {
  <7,0,5>,5,  //bottom center, radius
  <7,11,5>,0  //top center, radius
  pigment {
    color rgbf <1.0,.2,.4,.8>
  }
  finish {
    phong .8
    reflection .8
    refraction 1.2
    ior 1.8
  }
}

sphere {
  <-10.0,17.0,15.0>,2
  pigment {
    color rgbf <0.9,.8,0.2,0.1>
  }
  finish {
    phong .6
    reflection .4
    ambient .3
    diffuse .7
  }
}

disc {
  <0,0,0>,  // center
  <1,1,-.3>,    // line perpendicular to plane of disc
  5,            // radius
  2.5           // hole radius
  texture {
    pigment {
      Sapphire_Agate
    }
    finish {
      phong .6
      reflection .4
      ambient .3
      diffuse .7
    }
  }
  rotate <10*clock,10*clock,10*clock>
  translate <-10,17,15>
}

disc {
  <7,-4,16>,   //center
  <10,-5,24>,   //line perpendicular to plane of disc
  32,          //large radius
  15           //hole radius
  texture {
    Starfield  
  }
  finish {
    phong .6
    reflection .9
    ambient .3
    diffuse .7
  }
}
